/**
 * Assignment #8: POSIX File System Functions
 * Sample Solution
 *
 * Instructor: Ron Mak
 * CMPE 142 Operating Systems
 * Computer Engineering Department
 * San Jose State University
 */
#ifndef GLOBALS_H_
#define GLOBALS_H_

#include <iostream>
#include <string>

using namespace std;

const int  READ_FID = 0;
const int WRITE_FID = 1;

inline void abort(string name)
{
    cerr << "*** Failed: " << name << endl;
    exit(EXIT_FAILURE);
}


#endif /* GLOBALS_H_ */
